Subject: Re: [PATCH 8/8] submodule: fix bug and remove add_submodule_odb()

From: Junio C Hamano <[email-masked]>
Date: Thu, 10 Feb 2022 14:54:47 -0800

Glen Choo <[email-masked]> writes:

> add_submodule_odb() is a hack - it adds a submodule's odb as an
> alternate, allowing the submodule's objects to be read via
> the_repository. Its last caller is submodule_has_commits(), which calls
> add_submodule_odb() to prepare for check_has_commit(). This used to be
> necessary because check_has_commit() used the_repository's odb, but this
> is longer true as of 13a2f620b2 (submodule: pass repo to
> check_has_commit(), 2021-10-08).

Yes!  I wonder if we can do this much earlier in the series (or even
an independent clean-up that the rest of the series depends on) and
have it graduate earlier?